using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

using UnityEngine;

namespace Mod
{
    public class Mod
    {

	public static void Main()
        {
		CatagoryBuilder.Create("Gold", "Full of Gold", ModAPI.LoadSprite("Catagory.png"));
//Dagger
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Sword"), //item to derive from
        NameOverride = "Dagger", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Blue Dagger, yes.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("DaggerImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Dagger.png");
					Instance.FixColliders();
	}
    }
);

//Red Hammer
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Hammer"), //item to derive from
        NameOverride = "Red Hammer", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Hammer but red.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("RedHammerImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("RedHammer.png");
					Instance.FixColliders();
	}
    }
);

//Crystal Spike
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Spike"), //item to derive from
        NameOverride = "Crystal Spike", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "A Giant spike but crystalized.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("CrystalSpikeImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("CrystalSpike.png");
					Instance.FixColliders();
	}
    }
);

//Gold Bar
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Brick"), //item to derive from
        NameOverride = "Golden Bar", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Rich.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("GoldBarImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("GoldBar.png");
					Instance.FixColliders();
	}
    }
);

//Gold Launcher
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Crossbow"), //item to derive from
        NameOverride = "Gold Launcher", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Rolling in the dough- i mean gold.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("GoldLauncherImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("GoldLauncher.png", 2f);
            Instance.GetComponent<SpriteRenderer>().sortingOrder = 1;
            Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Golden Bar");
            Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 50f;
            Instance.FixColliders();
        }
    }
);

//Gold Plank
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Brick"), //item to derive from
        NameOverride = "Golden Plank", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Even the wood is gold.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("GoldPlankImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("GoldPlank.png");
					Instance.FixColliders();
	}
    }
);

//Golden Sword
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Sword"), //item to derive from
        NameOverride = "Golden Sword", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Weapons made out of precious materials.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("GoldSwordImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("GoldSword.png");
					Instance.FixColliders();
	}
    }
);

//Stainless Knife
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Knife"), //item to derive from
        NameOverride = "Stainless Knife", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "A Stainless kitchen knife but it can stain?!?! (Not actually stainless)", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("StainlessKnifeImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("StainlessKnife.png");
					Instance.FixColliders();
	}
    }
);

//Bold And Brash
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"), //item to derive from
        NameOverride = "Bold and Brash", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "A Priceless piece of art.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("BoldAndBrashImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("BoldAndBrash.png");
					Instance.FixColliders();
	}
    }
);

//Dollar
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"), //item to derive from
        NameOverride = "Dollar", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Mulah -Art by Grub", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("DollarImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Dollar.png");
					Instance.FixColliders();
	}
    }
);

//Icicle
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Knife"), //item to derive from
        NameOverride = "Icicle", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Deadly Frozen water -Art by Grub", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("IcicleImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Icicle.png");
					Instance.FixColliders();
	}
    }
);

//Diamond
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Diamond", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Whats more pricy than gold? Diamonds. -Art by Grub", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("DiamondImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Diamond.png");
					Instance.FixColliders();
	}
    }
);

//Grub
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"), //item to derive from
        NameOverride = "Grub Painting", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "The famous Grub.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("GrubImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Grub.png");
					Instance.FixColliders();
	}
    }
);

//Aebis
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"), //item to derive from
        NameOverride = "Aebis Painting", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Gingerbread man he is sneaky and swift but most importantly he is Aebis.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("AebisImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Aebis.png");
					Instance.FixColliders();
	}
    }
);

//Pc
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"), //item to derive from
        NameOverride = "Gaming PC", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Ever wanted to murder someone with a gaming pc? no? me either, but now you can.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("PcImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Pc.png");
					Instance.FixColliders();
	}
    }
);

//Gold Katana
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Sword"), //item to derive from
        NameOverride = "Gold Handled Katana", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "A new type of rich.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("GoldKatanaImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("GoldKatana.png");
					Instance.FixColliders();
	}
    }
);

//The Bullet
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "The Bullet?", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "The Bullet?", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("TheBulletImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("TheBullet.png");
					Instance.FixColliders();
	}
    }
);

//The Gun
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Crossbow"), //item to derive from
        NameOverride = "The Gun?", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "The Gun?", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("TheGunImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("TheGun.png", 2f);
            Instance.GetComponent<SpriteRenderer>().sortingOrder = 1;
            Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("The Bullet?");
            Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 30f;
            Instance.FixColliders();
        }
    }
);

//The Blades
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Bowling Ball"), //item to derive from
        NameOverride = "The Books", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "4 Syles of books", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("BooksImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
	{
	    Instance.GetComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
	    {
    		ModAPI.LoadSprite("RedBook.png"),
    		ModAPI.LoadSprite("YellowBook.png"),
    		ModAPI.LoadSprite("BlueBook.png"),
    		ModAPI.LoadSprite("GreenBook.png"),
	    };
	 Instance.FixColliders();
	}                     
    }
);

                             // 2.0
//Money Gun
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Crossbow"), //item to derive from
        NameOverride = "Money Gun", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Rich vibes.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("MoneyGunImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MoneyGun.png", 2f);
            Instance.GetComponent<SpriteRenderer>().sortingOrder = 1;
            Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Dollar");
            Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 50f;
            Instance.FixColliders();
        }
    }
);

//Chancla
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Knife"), //item to derive from
        NameOverride = "Chancla", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Faster than a bullet.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ChanclaImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Chancla.png");
					Instance.FixColliders();
	}
    }
);

//Simple Man
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Simple Human", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "A Simple man.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ManImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Skin.png");
            var flesh = ModAPI.LoadTexture("Flesh.png");
            var bone = ModAPI.LoadTexture("Bone.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);

//Controller
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Brick"), //item to derive from
        NameOverride = "Controller", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Beep Boop thing.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ControllerImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Controller.png");
					Instance.FixColliders();
	}
    }
);

//Fork
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Knife"), //item to derive from
        NameOverride = "Fork", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "For all your eating needs. - art by Grub", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ForkImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Fork.png");
					Instance.FixColliders();
	}
    }
);

//Keyboard
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Brick"), //item to derive from
        NameOverride = "Keyboard", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "This is used alot in computers.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("KeyboardImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Keyboard.png");
					Instance.FixColliders();
	}
    }
);

//Monitor
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Brick"), //item to derive from
        NameOverride = "Monitor", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "500M ULTRA HD RGB 4k Monitor.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("MonitorImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Monitor.png");
					Instance.FixColliders();
	}
    }
);

//Ps5
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Playstation 5", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Such a powerful weapon.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Ps5Image.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ps5.png");
					Instance.FixColliders();
	}
    }
);

//Xbox
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Brick"), //item to derive from
        NameOverride = "Xbox Series X", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Such a powerful weapon.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("XboxImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Xbox.png");
					Instance.FixColliders();
	}
    }
);

//People Playground Logo
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Brick"), //item to derive from
        NameOverride = "People Playground Logo", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Good game.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("LogoImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Logo.png");
					Instance.FixColliders();
	}
    }
);

//Steam
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Wheel"), //item to derive from
        NameOverride = "Steam Logo", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "The home of the games.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("SteamImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Steam.png");
	    Instance.FixColliders();
	}
    }
);

//Explosive Gift
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Dynamite"), //item to derive from
        NameOverride = "Explosive Gift", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Whats better than a bomb? a gift of coarse.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("GiftBombImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("GiftBomb.png");
	    Instance.FixColliders();
	}
    }
);

//AOT Sword
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Sword"), //item to derive from
        NameOverride = "UltraHard Steel Sword (Attack on titan)", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Used to cut through thick skin.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("SteelSwordImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SteelSword.png");
					Instance.FixColliders();
	}
    }
);

//Red Ball
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"), //item to derive from
        NameOverride = "Red Ball", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Ball -Art by Grub", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("RedBallImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("RedBall.png");
					Instance.FixColliders();
	}
    }
);

//Turkey Leg
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"), //item to derive from
        NameOverride = "Happy Thanksgiving of 2021 -Art by Grub", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Ball.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("TurkeyLegImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("TurkeyLeg.png");
					Instance.FixColliders();
	}
    }
);

//Frog Painting
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Plank"), //item to derive from
        NameOverride = "Frog Painting", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "A most epic piece.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("FrogImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Frog.png");
					Instance.FixColliders();
	}
    }
);

//Timmy
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Timmy", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Shiny.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("TimmyImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Timmy.png");
            var flesh = ModAPI.LoadTexture("Flesh.png");
            var bone = ModAPI.LoadTexture("Bone.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);

//Emerald
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Emerald", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "A Valuble resourced mank.", //new item description
        CategoryOverride = ModAPI.FindCategory("Gold"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("EmeraldImage.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Emerald.png");
            var flesh = ModAPI.LoadTexture("Flesh.png");
            var bone = ModAPI.LoadTexture("Bone.png");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
      
        }
    }
}